(function($) {

	function template() {
		var html = '';
		html += '<div class="confirm modal-dialog animated bounceIn" style="width: 300px; margin-top: -1px; position: absolute; top: 0px; z-index: 3; left: 50%; margin-left: -150px;">';
		html += '	<div class="modal-content">';
		html += '	  <div class="modal-body">';
		html += '		<p>您确定要继续这个操作吗?</p>';
		html += '	  </div>';
		html += '	  <div class="modal-footer" style="padding: 0px; border-top: 0px;">';
		html += '		<div class="btn-group-justified">';
		html += '			<div class="btn-group">';
		html += '				<button type="button" name="cancel" class="btn btn-default">取消</button>';
		html += '			</div>';
		html += '			<div class="btn-group">';
		html += '				<button type="button" name="confirm" class="btn btn-primary">确定</button>';
		html += '			</div>';
		html += '		</div>';
		html += '	  </div>';
		html += '	</div>';
		html += '</div>';
		html += '<div class="confirm-backdrop" style="position: absolute;top: 0;right: 0;bottom: 0;left: 0;z-index: 2;background-color: #000;filter: alpha(opacity=20);opacity: .2;"></div>';
		return html;
	}

	var o = undefined;

	var Confirm = function(ele, options) {
		this.element = ele;
		var defaults = {
			container : 'body',
			content : '您确定要继续这个操作吗?',
			handle : function(data) {}
		};

		this.settings = $.extend({}, defaults, options);
		o = this;
	}

	Confirm.prototype = {
		do : function(data) {
			var container = $(o.settings.container);
			container.append(template());

			var $confirm = container.find('div.confirm');
			var $backdrop = container.find('div.confirm-backdrop');

			var bodyp = $confirm.find('div.modal-body p');
			bodyp.html(o.settings.content);

			$confirm.on('click', 'button[name=cancel],button[name=confirm]', function() {
				$confirm.addClass('bounceOut');
				setTimeout(function() {
					$confirm.remove();
					$backdrop.fadeOut('fast', function() { $backdrop.remove(); });
				}, 500);
			});
			$confirm.on('click', 'button[name=confirm]', function() {
				o.settings.handle(data);
			});
		}
	}

	$.fn.confirm = function(options) {
		return new Confirm(this, options);
	}

})(jQuery);